<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: Overset</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Overset<div class="ingroups"><a class="el" href="group__input__flags__main.html">Input Flag Documentation</a> &raquo; <a class="el" href="group__arts__cf__md.html">Compressible Multi-Domain Solver arts_cf_md</a> &raquo; <a class="el" href="group__arts__cf__md__flags.html">2) Specific Flow Solver Flags arts_cf_md</a> &raquo; <a class="el" href="group__multi__domain__setup.html">1) Multi-Domain Setup</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for Overset:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<center><table><tr><td><img src="group__overset.png" border="0" alt="" usemap="#group____overset"/>
<map name="group____overset" id="group____overset">
<area shape="rect" id="node1" href="group__multi__domain__setup.html" title="1) Multi&#45;Domain Setup" alt="" coords="5,5,157,32"/>
</map>
</td></tr></table></center>
</div>
<p><b> Overset :</b> &lt; option &gt; &lt; value &gt; <br />
Options for inter-domain coupling.<br />
</p><ul>
<li><b> grid overlap</b> (integer) (default =4)<br />
 Specifies the width of the overlap layer in units number of grid cells on the finer mesh.</li>
<li><b> maximum grid ratio</b> (real)<br />
 Set the maximum grid ratio between different grids in the entire combined flow domain. From this value, the overlap depth is derived (no user input for overlap depth required).</li>
<li><b> Mach for velocity coupling</b> (real) (default =0.05)<br />
 For non-dimensional simulations with velocity on the order of unity. Determines the blending of pressure terms between domains.</li>
<li><b> coef. for velocity coupling</b> (real) (default=1.0)<br />
 Determines the blending of pressure terms between domains. ( <img class="formulaInl" alt="$ dt_{couple} = \frac{dx}{speed of sound} \cdot coefficient $" src="form_34.png"/>)</li>
<li><b> Interpolation</b> &lt; option &gt; &lt; value &gt;<br />
 Specifies the interpolation scheme for inter-domain coupling. <br />
 Available options for Interpolation:<br />
<ul>
<li>Polynomial / Poly (&lt; -max_width &gt; &lt; value &gt; (integer, optional))<br />
 Sets the interpolation scheme to polynomial and also defines the stencil size if the value flag is given (2 = linear).<br />
</li>
<li>Polynomial_bound / Poly_bound<br />
 While linear interpolation is always bounded, this is not true for higher order interpolation. For this option, two suboptions can be defined<br />
<ul>
<li>-max_delta (real) <br />
 The bounds are computed by taking the min/max of all stencil points and subtract/add the difference between min/max multiplied by the coefficient specified <br />
</li>
<li>Weno3 <br />
</li>
<li>-max_width (integer) <br />
 See standard polynomial interpolation.</li>
</ul>
</li>
</ul>
</li>
</ul>
<p><code>Example: <em> Overset : grid overlap : 12 </em></code> </p>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
